<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Flutter Icon picker helps the user to chose an icon of there choose from flutter icon library.
Specially useful whe you want to make the user choose an icon for something.

## Features

You can search through all the flutter icons. You can change color picker

* icon colors
* icon Size
* Icons Per Row

When an icon is selected you get back

* Icon Name
* Icon Code
* Flutter Icon Data
* Icon Color

<table>
  <tr>
    <td><img src="https://github.com/mdazharuddin1011999/UPI-Plugin-Flutter/raw/master/images/success.jpg" alt="Success Status" width="200"></td>
    <td><img src="https://github.com/mdazharuddin1011999/UPI-Plugin-Flutter/raw/master/images/show.gif" alt="How example looks" width="200"></td>
  </tr>
</table>
## Getting started

* Just import the package
* import
```dart 
'package:flutter_icon_picker/flutter_icon_picker.dart';* 
```
'package:flutter_icon_picker/flutter_icon_picker.dart';

and then in a showDialog>AlertDialog>(place here) -> FlutterIconPicker()
and you're good to go. See full Example to understand better.

## Usage


```dart
///this is a quick working example
class ColorPickerExample extends StatefulWidget {
  const ColorPickerExample({Key? key}) : super(key: key);

  @override
  State<ColorPickerExample> createState() => _ColorPickerExampleState();
}

class _ColorPickerExampleState extends State<ColorPickerExample> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // backgroundColor: Color(0xffd8d4d1),
      appBar: AppBar(
        title: Text('Flutter Icon Picker'),
      ),
      body: Center(
        child:
        OutlinedButton(
          style: utils.buttonStyle(),
          child: Icon(
            Icons.bike_scooter,
            size: 33,
          ),
          onPressed: () {
            ///Simply create a [showDialog]
            showDialog(
              context: context,

              ///inside [showDialog] create an [AlertDialog]
              builder: (context) =>
                  AlertDialog(
                    title: const Text('Choose an icon !'),

                    ///at last inside that [AlertDialog] place [FlutterIconPicker]
                    content: FlutterIconPicker(

                      ///
                      ///if true every item icon in the picker will have a random color (default false)
                      ///if  both [random] & [color] property are given together that the [color] will be given preference
                      randomIconColors: true,

                      ///give a particular color (then all icons will have that color)
                      // color: Colors.black,

                      onChanged: (value) {
                        // print(value);

                        ///when user selects an icon the value is returned as a map
                        /// like this :- {icon_name: ten_k, icon_code: 57344, flutter_icon: IconData(U+0E000)}

                      },
                    ),
                  ),
            );
          },
        ),

      ),
    );
  }
}

```

## Additional information

This package is solely created to help developers to increase there productivity. Hope you enjoy
using the package.
